<?php
function aff_content_switch ($page_fixe,$_PX_config_module,$_POST,$_GET){
	global $s,$cstr;
	if (empty($page_fixe))$page_fixe=$s;
	if (!is_array($page_fixe)) die(ERROR."function aff_content_switch \$page_fixe pas array");
	$e="";

	## Choix entre appel xml (contenu "figé") ou page fixe php de listage dynamique des rub type rubriques
	if($page_fixe['etat']) $parser = $cstr->_add_class('xml_parser',"include/lib/class/class.xml_parser.php",REP_DATA.$page_fixe['dest'].".xml",false);
	else include ("include/content/".$page_fixe['dest'].".php");
	switch ($page_fixe['dest']){
		case 'localisation':
			$e= ERROR." function aff_content_switch ".LOCALISATION_NOT_INSTALL;
		break;
		default:
		}

	if($page_fixe['etat'])$cstr->_call('xml_parser','analyser');
	## about nav retour vers rubriques mere
	if((!empty($page_fixe['rubrique'])) AND ($page_fixe['dest']!='rubriques') AND (!eregi("(^[a-z]{2,3}/)",$page_fixe['dest']))  ) $e.="<div class='nav'><hr class='nav' /><a href='".tep_url_link(eregi_replace("/$","",LANG_DEFAUT.$page_fixe['rubrique']))."' title='".RETOUR_RUBRIQUE."' >".RETOUR_RUBRIQUE."</a></div>";

	if  (!empty($e)){
		$e=eregi_replace ("1$","",$e);
		 print nett_acen($e);
	}
}
?>